[pypy-dev] Pypy on aarch64 (rhe7) has issues with bzip2-libs

Srinivasa Kempapura Padmanabha Srinivasa.KempapuraPadmanabha at arm.com
Thu Oct 8 01:42:38 EDT 2020


Hi,

I am running on rhe7 aarch64, I tried but it din't work.

Regards,


On 07/10/20, 10:16 PM, "Matti Picus" <matti.picus at gmail.com> wrote:


    On 10/7/20 1:35 PM, Srinivasa Kempapura Padmanabha wrote:
    >
    > Hi,
    >
    > When I extract the pypy prebuild package as instructions provided in
    > the site. I see that the binary fails to run
    >
    > ./bin/pypy3: error while loading shared libraries: libbz2.so.1.0:
    > cannot open shared object file: No such file or directory
    >
    > We have installed bzip2 1.0.6 but still I see somewhere that the
    > package requires other compatible version of it.
    >
    > /usr/lib64/libbz2.so
    >
    > /usr/lib64/libbz2.so.1
    >
    > /usr/lib64/libbz2.so.1.0.6
    >
    > Can you please provide more details on that
    >

    I think you need to make a symlink to the needed so

    sudo ln -s /usr/lib64/libbz2.so.1.0 /usr/lib64/libbz2.so.1.0.6


    What OS are you using?

    Matti


IMPORTANT NOTICE: The contents of this email and any attachments are confidential and may also be privileged. If you are not the intended recipient, please notify the sender immediately and do not disclose the contents to any other person, use it for any purpose, or store or copy the information in any medium. Thank you.


More information about the pypy-dev mailing list